summaryrefslogtreecommitdiff
path: root/include/lib.sh
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-03 18:30:37 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-03 18:30:37 +0100
commitaa4083443b14335c8ada088034434b584aacc789 (patch)
tree28dc047bfb6d07c0d9d0e3b79772ac3c146cddad /include/lib.sh
parent8f828e6cd35d82b0a0fa20b202d49ab092161fa3 (diff)
mk: Allow use of x_ on prefix functions
Use this for the sha512sum command, on the main mk script at the function check_project_hashes(). Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include/lib.sh')
-rw-r--r--include/lib.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/include/lib.sh b/include/lib.sh
index d58716c3..50813352 100644
--- a/include/lib.sh
+++ b/include/lib.sh
@@ -146,7 +146,7 @@ find_ex()
$errx find "$@" 2>/dev/null | sort > "$fd" || \
$err "!find $(echo "$@") > \"$fd\""
while read -r fx; do
- "$xx" "$fx" || break; :
+ $xx "$fx" || break; :
done < "$fd"
x_ rm -f "$fd"
}